Subject: osmo-bts.git branch zecke/late_l1ifreset updated. 0.3.0-40-g5eab81d
From: [email-masked]
To: [email-masked]
Date: Thu, 1 Aug 2013 17:43:54 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom BTS-side code (Abis, scheduling, ...)".

The branch, zecke/late_l1ifreset has been updated
  discards  903e0376095533b4ae90336a2d5ca6fca553113e (commit)
  discards  a43902dda49b83857e94afb196f86e24bff7e897 (commit)
  discards  9742e4f9790d6d7fa03b5aa722eac544d754861b (commit)
  discards  9677b628579f927b84ffee594e756f4c954a6891 (commit)
  discards  0cddc514a5605412ea6e58ef219e20a24acee73a (commit)
  discards  f86e49a9283f23b6fa90408f8e410de55eddeed3 (commit)
  discards  a8967b8358d3b68dcf52dbda981ab0934575689e (commit)
  discards  e1f4c39351ba3d82c35ba0be726387993ead8ded (commit)
  discards  654d663bde32b9c5626150f3ac566de3cd193fc7 (commit)
  discards  6d5228fdf3fe973ed2223be1d1619814eb75a860 (commit)
  discards  372e2d53df49407734f5f979266d146515fa96c2 (commit)
       via  5eab81d02ae80af9f87d75389707a8ff76414076 (commit)
       via  8c21088a9d382118eaeecc6ac142b5ef9d5912a2 (commit)
       via  93973271069cdc17aa3e1fe2ccbbb9e352de8159 (commit)
       via  8a95a4eb45ab6f01ca301666bcedbbf8d1feda08 (commit)
       via  61eee5ff5590ddee404f84e4c0742363bb05e423 (commit)
       via  55c21834d9b7e952856687e1c209b01be4b320c9 (commit)
       via  7e9df66f5fd5841ad96335b12d5571a1ec249ee0 (commit)
       via  ac98b545a8c850bdaa16dc6e70d93d33f1cceaf4 (commit)
       via  ad10f0f533e6e702e03faffa5dd48a0044d224f3 (commit)
       via  fbf97e35ebf985eafcf79cc5db2598a7535108d4 (commit)
       via  91d204e2db8f53a6ae4827ecc4b0ccb0137375d0 (commit)
       via  f333387748898f9a896b771686a2b192c258f22d (commit)
       via  95c6eed436ab7b0370ac1a4942b10926d3e256ab (commit)
       via  612f387fc93818877063dbd221803c9528f3413b (commit)
       via  ed966f0428065c758917e5255b5d0859cd5b99c5 (commit)
       via  481f14d87fad24a9b6c99df702904cf4219c9c8c (commit)
       via  89582f7e77068bc38fa9ee391f5c898913f241a7 (commit)
       via  270cf418fc64ad77b179f75394c5dc34c95f4388 (commit)
       via  eebdfb8e6f626f1f5e08353dab78cbe6d2ed1f5f (commit)
       via  2523cdbc7f03a1114e5cb8b17f6ce06f846d28ea (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (903e0376095533b4ae90336a2d5ca6fca553113e)
            \
             N -- N -- N (5eab81d02ae80af9f87d75389707a8ff76414076)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-bts/commit/?id=5eab81d02ae80af9f87d75389707a8ff76414076

commit 5eab81d02ae80af9f87d75389707a8ff76414076
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Mon Jul 1 15:09:13 2013 +0200

    WIP: fix crash in case there is no BSC listening at all..

http://cgit.osmocom.org/osmo-bts/commit/?id=8c21088a9d382118eaeecc6ac142b5ef9d5912a2

commit 8c21088a9d382118eaeecc6ac142b5ef9d5912a2
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Mon Jul 1 14:37:37 2013 +0200

    WIP: fix the late init...

http://cgit.osmocom.org/osmo-bts/commit/?id=93973271069cdc17aa3e1fe2ccbbb9e352de8159

commit 93973271069cdc17aa3e1fe2ccbbb9e352de8159
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Mon Jul 1 14:36:32 2013 +0200

    WIP: fix the linking of tests after switching to libosmo-abis..

http://cgit.osmocom.org/osmo-bts/commit/?id=8a95a4eb45ab6f01ca301666bcedbbf8d1feda08

commit 8a95a4eb45ab6f01ca301666bcedbbf8d1feda08
Author: Harald Welte <[email-masked]>
Date:   Sun Jun 30 21:19:27 2013 +0200

    WIP: delay l1if_reset() until OML link is established

http://cgit.osmocom.org/osmo-bts/commit/?id=61eee5ff5590ddee404f84e4c0742363bb05e423

commit 61eee5ff5590ddee404f84e4c0742363bb05e423
Author: Harald Welte <[email-masked]>
Date:   Sun Jun 30 15:27:10 2013 +0200

    abis: Use OML remote (BSC) address if RSL CONNECT contains no IP
    
    This introduces a new get_signlink_remote_ip() function whcih we also
    use in the RSL code to determine the RTP remote address if the CRCX/MDCX
    contains no remote IP address IE.

http://cgit.osmocom.org/osmo-bts/commit/?id=55c21834d9b7e952856687e1c209b01be4b320c9

commit 55c21834d9b7e952856687e1c209b01be4b320c9
Author: Harald Welte <[email-masked]>
Date:   Sun Feb 10 13:38:02 2013 +0100

    Call e1inp_vty_init() to make abis interface accessible from VTY
    
    It might not be particularly useful, but then there's no disadvantage
    either...

http://cgit.osmocom.org/osmo-bts/commit/?id=7e9df66f5fd5841ad96335b12d5571a1ec249ee0

commit 7e9df66f5fd5841ad96335b12d5571a1ec249ee0
Author: Harald Welte <[email-masked]>
Date:   Sun Feb 10 10:21:12 2013 +0100

    migrate away from our own abis.c code to libosmoabis
    
    libosmoabis has a BTS-side implementation of the IPA protocol for years,
    and osmo-bts should have used that all the time.  Unfortunately it had
    its own local hack, this patch is migrating to the libosmocore
    implementation.

-----------------------------------------------------------------------

Summary of changes:
 contrib/sysmobts-calib/sysmobts-calib.c | 10 +++++++
 src/common/oml.c                        |  4 +--
 src/common/rsl.c                        | 51 +++++++++++++++------------------
 src/osmo-bts-sysmo/calib_file.c         | 18 +++++++++---
 src/osmo-bts-sysmo/eeprom.c             | 24 ++++++++++++++--
 src/osmo-bts-sysmo/l1_if.c              |  1 +
 src/osmo-bts-sysmo/l1_if.h              |  1 +
 src/osmo-bts-sysmo/main.c               | 28 ++++++++++++++++++
 src/osmo-bts-sysmo/misc/sysmobts_misc.c |  2 +-
 src/osmo-bts-sysmo/oml.c                |  4 +--
 src/osmo-bts-sysmo/sysmobts_vty.c       | 21 +++++++++++++-
 11 files changed, 122 insertions(+), 42 deletions(-)

hooks/post-receive
-- 
Osmocom BTS-side code (Abis, scheduling, ...)